- hosts: localhost
  gather_facts: yes

  tasks:

  #- name: Print all available facts
  #  ansible.builtin.debug:
  #    var: ansible_facts

  - name: print ansible_hostname 1
    debug:
      msg: "{{ ansible_hostname }}"

  #- name: print ansible_hostname when in certain group (EDV3)
  #  debug:
  #    msg: "{{ hostname }}"
  #  when: ansible_hostname in lookup('inventory_hostnames', 'EDV3')

  #- name: print ansible_hostname when in certain group
  #  debug:
  #    msg: "{{ hostname }}"
  #  when: ansible_hostname in lookup('inventory_hostnames', 'KlassenPC')

  - name: print ansible_hostname with regex_search
    debug:
      msg: "{{ ansible_hostname }}"
    when: ansible_hostname | regex_search ("^to(.*)", ignore_case=True)

  - name: Ansible Pull
    include_role:
      name: ansible-pull
      tasks_from: main.yml
